Fix version of mysqlclient until Django 2.0

Description

  1.  

    1. Description

Prevents `mysqlclient` from updating to `>=1.4`, to maintain compatibility with Django 1.11.

As noted in the comments, we can remove this restriction after upgrading to Django 2.

cf https://github.com/PyMySQL/mysqlclient-python/issues/306

  1.  

    1. Test Instructions

Run `make dev.provision`

  1.  

    1. TODOs

  • [ ] Squash before merging

  1.  

    1. Reviewer

  • [ ] OpenCraft TBD

Won't Do

Assignee

Unassigned

Reporter

Open Source Pull Request Bot

Labels

None

Contributor Name

Jillian Vogel

Repo

edx/blockstore

Customer

Epic Link

None

OSCM Assignee

None

Platform Map Area (Levels 1 & 2)

None

Platform Map Area (Levels 3 & 4)

None

Blended Hour Utilization Percentage

None

edX Theme

None

edX Squad

None

Github Lines Added

3

Github Lines Deleted

2

Priority

Unset